Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058294 - mongo, thermostat: Known issues about rebuilding should be documented
Summary: mongo, thermostat: Known issues about rebuilding should be documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: doc-Release_Notes
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 1.1
Assignee: Lenka Špačková
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 13:11 UTC by Stanislav Ochotnicky
Modified: 2015-01-12 12:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The Java driver from the MongoDB collection and most of the Thermostat collection cannot be rebuilt on Red Hat Enterprise Linux 6. The following steps are necessary before rebuilding the mongodb or thermostat components on Red Hat Enterprise Linux 6 from the provided source RPM (SRPM) packages: 1. Install the java-1.7.0-openjdk package from Red Hat Enterprise Linux 6.3 or later and all of its dependencies. 2. Download, build, and install the maven package and all its dependencies from the SRPM packages for Red Hat Enterprise Linux 7 Beta or later. For architecture-independent packages it is possible to use the binary packages provided for Red Hat Enterprise Linux 7. 3. Download and build the main collection SRPM (mongodb24 or thermostat1). 4. Download and build additional SRPM packages including their dependencies.
Clone Of:
Environment:
Last Closed: 2014-06-10 09:09:56 UTC


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2014-01-27 13:11:07 UTC
Java driver from MongoDB collection and most of Thermostat collection cannot be rebuilt on RHEL 6 due to unfulfilled BuildRequires (we are using parts of Java stack from RHEL 7 to build official release). 

This known issue should be documented with a hint at a solution for customers that want to rebuild these collections.

Proposed addition to known issues(draft):
"mongodb, thermostat components

If, for some reason, you need to rebuild thermostat or mongodb components on Red Hat Enterprise Linux 6 from provided source RPM (SRPM) packages, following steps will be necessary before proceeding with builds: 

1. Install the java-1.7.0-openjdk package from Red Hat Enterprise Linux 6.3 or newer and all its dependencies. 

2. Download, build, and install the maven package and all its dependencies from the SRPM packages for Red Hat Enterprise Linux 7 Beta or newer. For architecture independent packages you can use binary packages as provided for Red Hat Enterprise Linux 7.

3. Download and build main collection SRPM (mongodb24 or thermostat1)
"

Comment 3 Brian Gollaher 2014-03-13 20:30:16 UTC
We should add to the release notes for both RHEL6 and RHEL7 customers.


Note You need to log in before you can comment on or make changes to this bug.